request_audit
GET
/v1/requests/{id}/audit
const url = 'https://example.com/v1/requests/example/audit';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/requests/example/auditAudit events of one request, oldest first (created, decided, expired, cancelled), with the deciding device’s name when it is still paired.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
id
required
integer format: int64
request_id
required
string
event
required
string
actor
required
string
at
required
integer format: int64
rule_id
string | null
device_name
Name of the paired device when actor is device:<id> and that device is still paired.
string | null
Examplegenerated
[ { "id": 1, "request_id": "example", "event": "example", "actor": "example", "at": 1, "rule_id": "example", "device_name": "example" }]Not found